---
variables:
  tpl_directory_old: gci-template
  tpl_baseurl: https://gitlab.com/lydra/gitlab-ci-templates/-/raw/${CI_COMMIT_BRANCH}
  tpl_include_dir: $tpl_baseurl/${tpl_directory}

.deprecated_tpl:
  after_script:
    - echo -e '\033[0;31m'  # RED
    - echo "⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨"
    - echo "⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨 DEPRECATED TEMPLATE DIR ⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨"
    - echo "In release 1.0.0 the template directory ${tpl_directory_old} will be remove !"
    - echo "Use the new template directory ${tpl_directory}"
    - echo "⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨"
    - echo -e '\033[0m'  # No Color
    - exit 1
  allow_failure: true

warning move templates dir:
  extends: .warning
  variables:
    message: >
      In release 1.0.0 the template directory ${tpl_directory_old} will be remove !
      Use the new template directory ${tpl_directory}"
